## ros-noetic-rqt-shell 0.4.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rqt_shell)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/rqt_shell
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-rqt-shell (0.4.11-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/ros-visualization/rqt_shell/issues/13> from ros-visualization/sloretz-update-maintainer
    Update maintainer in package.xml
  * Update maintainer in package.xml
  * fix shebang line for python3 (#12 <https://github.com/ros-visualization/rqt_shell/issues/12>)
  * Contributors: Michael Carroll, Mikael Arguedas, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Apr 2021 22:00:00 -0000

ros-noetic-rqt-shell (0.4.10-1focal) focal; urgency=high

  * use conditional dependencies for Python 3 (#10 <https://github.com/ros-visualization/rqt_shell/issues/10>)
  * bump CMake minimum version to avoid CMP0048 warning

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 16 Mar 2020 23:00:00 -0000

ros-noetic-rqt-shell (0.4.9-1focal) focal; urgency=high

  * Fixed syntax error when using a startup script with spyder shell

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 06 Sep 2017 22:00:00 -0000

ros-noetic-rqt-shell (0.4.8-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 27 Apr 2017 22:00:00 -0000

ros-noetic-rqt-shell (0.4.7-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 01 Mar 2017 23:00:00 -0000

ros-noetic-rqt-shell (0.4.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 26 Feb 2017 23:00:00 -0000

ros-noetic-rqt-shell (0.4.5-1focal) focal; urgency=high

  * add command line option --init-script (#296 <https://github.com/ros-visualization/rqt_common_plugins/issues/296>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 02 Feb 2017 23:00:00 -0000

ros-noetic-rqt-shell (0.4.4-1focal) focal; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 23 Jan 2017 23:00:00 -0000

ros-noetic-rqt-shell (0.4.3-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 01 Nov 2016 23:00:00 -0000

ros-noetic-rqt-shell (0.4.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 18 Sep 2016 22:00:00 -0000

ros-noetic-rqt-shell (0.4.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 15 May 2016 22:00:00 -0000

ros-noetic-rqt-shell (0.4.0-1focal) focal; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 26 Apr 2016 22:00:00 -0000

ros-noetic-rqt-shell (0.3.13-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 07 Mar 2016 23:00:00 -0000

ros-noetic-rqt-shell (0.3.12-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 23 Jul 2015 22:00:00 -0000

ros-noetic-rqt-shell (0.3.11-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 29 Apr 2015 22:00:00 -0000

ros-noetic-rqt-shell (0.3.10-1focal) focal; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 30 Sep 2014 22:00:00 -0000

ros-noetic-rqt-shell (0.3.9-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 17 Aug 2014 22:00:00 -0000

ros-noetic-rqt-shell (0.3.8-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 14 Jul 2014 22:00:00 -0000

ros-noetic-rqt-shell (0.3.7-1focal) focal; urgency=high

  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 10 Jul 2014 22:00:00 -0000

ros-noetic-rqt-shell (0.3.6-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 01 Jun 2014 22:00:00 -0000

ros-noetic-rqt-shell (0.3.5-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 06 May 2014 22:00:00 -0000

ros-noetic-rqt-shell (0.3.4-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 27 Jan 2014 23:00:00 -0000

ros-noetic-rqt-shell (0.3.3-1focal) focal; urgency=high

  * add groups for rqt plugins, renamed some plugins (#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 07 Jan 2014 23:00:00 -0000

ros-noetic-rqt-shell (0.3.2-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Sun, 13 Oct 2013 22:00:00 -0000

ros-noetic-rqt-shell (0.3.1-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 08 Oct 2013 22:00:00 -0000

ros-noetic-rqt-shell (0.3.0-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 27 Aug 2013 22:00:00 -0000

ros-noetic-rqt-shell (0.2.17-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 03 Jul 2013 22:00:00 -0000

ros-noetic-rqt-shell (0.2.16-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Tue, 09 Apr 2013 11:33:00 -0000

ros-noetic-rqt-shell (0.2.15-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 08 Apr 2013 22:02:00 -0000

ros-noetic-rqt-shell (0.2.14-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Wed, 13 Mar 2013 23:00:00 -0000

ros-noetic-rqt-shell (0.2.13-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 11 Mar 2013 21:14:00 -0000

ros-noetic-rqt-shell (0.2.12-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Mon, 11 Mar 2013 12:56:00 -0000

ros-noetic-rqt-shell (0.2.11-1focal) focal; urgency=high



 -- Dorian Scholz <scholz@sim.tu-darmstadt.de>  Thu, 07 Mar 2013 23:00:00 -0000



=== debian/control ===
Source: ros-noetic-rqt-shell
Section: misc
Priority: optional
Maintainer: Michael Carroll <michael@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/rqt_shell
Standards-Version: 3.9.2

Package: ros-noetic-rqt-shell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-rospkg, ros-noetic-python-qt-binding (>= 0.2.19), ros-noetic-qt-gui, ros-noetic-qt-gui-py-common, ros-noetic-rqt-gui, ros-noetic-rqt-gui-py
Description: rqt_shell is a Python GUI plugin providing an interactive shell.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rqt-shell//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
